/**** Sidebar Filter Base (mobile first) ****/
.filter-toggle-woo-cs {
    display: none; /* Hidden by default */
}

/* If screen width is less than 1024px */
@media (max-width: 1024px) {
    .filter-toggle-woo-cs {
        display: inline-block;
        margin: 0px;
        padding: 8px 15px;
        color: #fff;
        border: none;
        cursor: pointer;
        border-radius: 4px;
        font-size: 14px;
        position: relative;
    }
    /* Close button */
    .sidebar-filter-woo-cs .close-sidebar-woo-cs {
        position: absolute;
        top: 5px;
        right: 5px;
        padding: 0px;
        background: transparent;
        border: none;
        font-size: 28px;
        cursor: pointer;
        color: #333;
    }
    .sidebar-filter-woo-cs .close-sidebar-woo-cs:hover {
        color: #000;
        background: transparent;
    }
    .sidebar-filter-woo-cs {
        position: fixed;
        top: 0;
        left: -300px;
        width: 300px;
        height: 100%;
        background: linear-gradient(
            158deg,
            rgba(2, 0, 36, 1) 0%,
            rgba(235, 254, 255, 1) 0%,
            rgba(253, 248, 255, 1) 51%,
            rgba(235, 248, 255, 1) 100%
        );
        color: #232121;
        font-weight: 500;
        overflow-y: auto;
        box-shadow: 0px 0 5px 0px rgba(0, 0, 0, 0.5);
        z-index: 10000;
        transition: left 0.3s ease;
    }

    .sidebar-filter-woo-cs.active {
        left: 0;
    }

    .sidebar-overlay-woo-cs {
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.5);
        z-index: 900;
        display: none;
    }

    .sidebar-overlay-woo-cs.active {
        display: block;
    }

    .close-sidebar-woo-cs {
        position: absolute;
        top: 10px;
        right: 15px;
        background: transparent;
        border: none;
        font-size: 28px;
        cursor: pointer;
        color: #333;
    }
}


/* If screen width < 1024px */
@media (min-width: 1024px) {
    .sidebar-filter-woo-cs {
        position: static;
        width: auto;
        height: auto;
        background: none;
        box-shadow: none;
        overflow: visible;
        transition: none;
    }

    .close-sidebar-woo-cs,
    .sidebar-overlay-woo-cs {
        display: none !important;
    }
}